{
   "name": "idelibre4-nodejs",
   "version": "0.0.1",
   "description": "IL nodejs server",
   "devDependencies": {
      "@types/axios": "^0.14.0",
      "@types/express": "^4.17.11",
      "@types/form-data": "^2.5.0",
      "@types/fs-extra": "^9.0.11",
      "@types/jest": "^29.4.0",
      "@types/jsonwebtoken": "^8.5.1",
      "@types/lodash": "^4.14.168",
      "@types/node": "^8.0.29",
      "@types/supertest": "^2.0.10",
      "@types/winston": "^2.4.4",
      "jest": "^29.4.3",
      "pg": "^8.5.1",
      "supertest": "^6.1.1",
      "ts-node": "^10.9.1",
      "typeorm-fixtures-cli": "^1.9.1",
      "typeorm-fixtures-test": "^1.0.4",
      "typescript": "^4.3.5",
      "jest-jasmine2": "^29.4.3",
      "ts-jest": "^29.0.5"
   },
   "dependencies": {
      "argon2": "^0.30.3",
      "axios": "^1.3.3",
      "class-transformer": "^0.5.1",
      "dotenv": "^16.0.3",
      "express": "^4.18.2",
      "form-data": "^4.0.0",
      "fs-extra": "^11.1.0",
      "jsonwebtoken": "^9.0.0",
      "lodash": "^4.17.21",
      "object-hash": "^2.1.1",
      "pg": "^8.9.0",
      "reflect-metadata": "^0.1.13",
      "sha1": "^1.1.1",
      "socket.io": "^4.6.1",
      "socket.io-client": "^4.6.1",
      "typeorm": "^0.2.11",
      "uuid": "^9.0.0",
      "winston": "^3.8.2"
   },
   "scripts": {
      "start": "ts-node src/index.ts",
      "test:unit": "ENV_FILE=./.env.test jest",
      "test": "if test $APP_ENV = \"test\" ; then ./node_modules/jest/bin/jest.js --runInBand; fi",
      "build": "tsc -p .",
      "danger": "./node_modules/jest/bin/jest.js --runInBand"
   }
}
